This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1028602 - [CMAN ] Can't read CCS to get updated config version
[CMAN ] Can't read CCS to get updated config version
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.9
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2013-11-08 15:38 EST by Donald Berry
Modified: 2014-03-28 19:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-11 09:09:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Donald Berry 2013-11-08 15:38:32 EST
Description of problem:
building a new node (node01) in a two node cluster, no quorum disk, with a skeleton cluster.conf, version=1.  version=2 is on the running node (node02).  New node fails to join the cluster:

Oct 28 20:13:39 node01 openais[6565]: [SYNC ] This node is within the primary component and will provide service.
Oct 28 20:13:39 node01 openais[6565]: [TOTEM] entering OPERATIONAL state.
Oct 28 20:13:39 node01 openais[6565]: [CMAN ] Can't read CCS to get updated config version 2. Activity suspended on this node
Oct 28 20:13:39 node01 openais[6565]: [CMAN ] quorum lost, blocking activity
Oct 28 20:13:39 node01 openais[6565]: [CMAN ] Node 2 conflict, remote config version id=2, local=1

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. build a new node in a two node cluster, no quorum disk, with a skeleton cluster.conf, version=1.
2. try to start cluster services
3.

Actual results:


Expected results:


Additional info:
customer believes this used to work on 5.3 and 5.7, although it was a four node cluster

Note You need to log in before you can comment on or make changes to this bug.